CRM

Create an object-scoped (workspace-wide) custom field

POST
/v1/crm/fields

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/crm/fields" \  -H "Content-Type: application/json" \  -d '{    "label": "string",    "objectType": "people",    "type": "text"  }'
{
  "data": {
    "config": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "key": "string",
    "label": "string",
    "listId": "string",
    "objectType": "people",
    "options": [
      {
        "color": "string",
        "id": "string",
        "label": "string",
        "outcome": "won"
      }
    ],
    "scope": "object",
    "sortOrder": 0,
    "type": "text"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}